coreutils/coreutils-test_without_valgrind.patch
Bernhard Voelker a296bffe53 - coreutils-i18n.patch: fold(1): fix exit code for non-existent file.
The exit code of fold(1) was zero for non-existent file:
    $ fold badfile; echo $?
    fold: badfile: No such file or directory
    0

  * coreutils-i18n.patch (src/fold.c:fold_file): Fix incorrect return code
  for non-existent files; the I18N patch incorrectly returned an integer
  instead of a bool on failure.
  While at it, also fix the assignment to 'have_read_stdin' to bool.

  The bug was introduced by the downstrean I18N patch. (rhbz#2296201)
  Based on patch by Sohum Mendon <sohum.mendon@proton.me>.

OBS-URL: https://build.opensuse.org/package/show/Base:System/coreutils?expand=0&rev=364
2024-07-10 21:09:17 +00:00

19 lines
782 B
Diff

---
tests/shuf/shuf-reservoir.sh | 3 +--
1 file changed, 1 insertion(+), 2 deletions(-)
Index: tests/shuf/shuf-reservoir.sh
===================================================================
--- tests/shuf/shuf-reservoir.sh.orig
+++ tests/shuf/shuf-reservoir.sh
@@ -37,8 +37,7 @@ run_shuf_n()
# Critical memory-related bugs will cause a segfault here
# (with varying numbers of input/output lines)
- seq "$INPUT_LINES" | valgrind --leak-check=$leaklevel --error-exitcode=1 \
- shuf -n "$OUTPUT_LINES" -o "out_${INPUT_LINES}_${OUTPUT_LINES}" || return 1
+ seq "$INPUT_LINES" | shuf -n "$OUTPUT_LINES" -o "out_${INPUT_LINES}_${OUTPUT_LINES}" || return 1
EXPECTED_LINES="$OUTPUT_LINES"
test "$INPUT_LINES" -lt "$OUTPUT_LINES" && EXPECTED_LINES="$INPUT_LINES"